/*
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 *
 */

// severities:
DEFINE_LOG_TAG(ERR)			// [ALWAYS ENABLED]
DEFINE_LOG_TAG(ERRSENTRY)	// [ALWAYS ENABLED] error severe enough to be duplicated to Sentry; in Sentry event, message parts like "myParam=123" are replaced with "myParam=<...>", and produce Sentry tag "specific.myParam" = 123
DEFINE_LOG_TAG(INFO)		// informational
DEFINE_LOG_TAG(IMPORTANT)	// [ALWAYS ENABLED] informational
// facilities:
DEFINE_LOG_TAG(LIFE)		// [ALWAYS ENABLED] overall lifecycle - start, stop, creation and termination of main threads
DEFINE_LOG_TAG(SLOW)		// slow queries
DEFINE_LOG_TAG(DBTOP)		// dbtop and dbctl communication
DEFINE_LOG_TAG(USRMAP)		// user map
DEFINE_LOG_TAG(USRMAPRQ)	// user map on request
DEFINE_LOG_TAG(MON)			// resource monitor
DEFINE_LOG_TAG(SRV)			// systemd service
DEFINE_LOG_TAG(STAT)		// statistics retrieval
DEFINE_LOG_TAG(LVE)			// LVE immediate operations and thread state; can be VERY FREQUENT
// activities (inserted here to go after MON but before lower-level facilities):
DEFINE_LOG_TAG(FRZ)			// freeze
DEFINE_LOG_TAG(UNFRZ)		// unfreeze
// facilities:
DEFINE_LOG_TAG(BADLST)		// badlist
DEFINE_LOG_TAG(MAXCON)		// max. user connection count limitation
DEFINE_LOG_TAG(MYSQL)		// MySQL connector
